package com.yonge.cooleshow.biz.dal.vo.userBindingTeacher;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.biz.dal.enums.StudentCourseEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-08
 */
public class UserBindingCourseWrapper {

    //("课程编号")
    private Long courseId;

    // 声部id
    private Long subjectId;

    //("课程声部")
    private String subjectName;

    //("学员考勤")
    private StudentCourseEnum status;
    //(value = "课程状态 NOT_START未开始 ING进行中 COMPLETE已完成 CANCEL已取消  CourseScheduleEnum")
    private String courseStatus;

    // ("上课时间")
    private Date classDate;
    // 课程开始时间
    private Date startTime;

    //课程结束时间
    private Date endTime;

    // 学生id
    private Long studentId;

    // 考勤id
    private Long studentAttendanceId;

    public Long getStudentAttendanceId() {
        return studentAttendanceId;
    }

    public void setStudentAttendanceId(Long studentAttendanceId) {
        this.studentAttendanceId = studentAttendanceId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public StudentCourseEnum getStatus() {
        return status;
    }

    public void setStatus(StudentCourseEnum status) {
        this.status = status;
    }

    public String getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(String courseStatus) {
        this.courseStatus = courseStatus;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }
}
